package com.kmall.api.service;

import com.kmall.api.dao.*;
import com.kmall.api.entity.OrderProcessRecordEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 订单流转过程记录表Service实现类
 *
 * @author huangyaqin
 * @email admin@qhdswl.com
 * @date 2018-10-25 17:48:30
 */
@Service
public class ApiOrderProcessRecordService {
    @Autowired
    private ApiOrderProcessRecordMapper orderProcessRecordMapper;

    public OrderProcessRecordEntity queryObject(Integer id) {
        return orderProcessRecordMapper.queryObject(id);
    }

    public List<OrderProcessRecordEntity> queryList(Map<String, Object> map) {
        return orderProcessRecordMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return orderProcessRecordMapper.queryTotal(map);
    }

    public int save(OrderProcessRecordEntity orderProcessRecord) {
        return orderProcessRecordMapper.save(orderProcessRecord);
    }

    public int update(OrderProcessRecordEntity orderProcessRecord) {
        return orderProcessRecordMapper.update(orderProcessRecord);
    }

    public int delete(Integer id) {
        return orderProcessRecordMapper.delete(id);
    }

    public int deleteBatch(Integer[]ids) {
        return orderProcessRecordMapper.deleteBatch(ids);
    }

    public void saveBatch(List<OrderProcessRecordEntity> list) {
        orderProcessRecordMapper.saveBatch(list);
    }

    public void updateBatch(List<OrderProcessRecordEntity> list) {
        orderProcessRecordMapper.updateBatch(list);
    }

    public OrderProcessRecordEntity queryObjectByOrderSn(String orderSn) {
        return orderProcessRecordMapper.queryObjectByOrderSn(orderSn);
    }

}
